Bug 979002 - Differences in tomcat webapps ZIP VS RPM
Differences in tomcat webapps ZIP VS RPM
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat6, tomcat7 (Show other bugs)
2.0.1
Unspecified Unspecified
unspecified Severity low
: ER03
: ---
Assigned To: Coty Sutherland
Michal Karm Babacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 08:57 EDT by Michal Haško
Modified: 2017-08-04 11:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The contents of the RPM distribution versus the ZIP distribution of JBoss Enterprise Web Server, specifically in the Tomcat 6 and 7 directories, are different. Many files are only available in the RPM or the ZIP distribution, when they should be available in both. This is a known issue is JBoss Enterprise Web Server 3.0 and no workaround is currently available for this issue.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 11:12:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Haško 2013-06-27 08:57:49 EDT
Comparison executed on:
    jboss-ews-application-servers-2.0.1-CR3-RHEL6-i386.zip
    jboss-ews-examples-2.0.1-CR3.zip
        VS
    tomcat6-webapps-6.0.37-10_patch_01.ep6.el6.noarch
    tomcat6-docs-webapp-6.0.37-10_patch_01.ep6.el6.noarch
    tomcat7-webapps-7.0.40-5_patch_01.ep6.el6.noarch
    tomcat7-docs-webapp-7.0.40-5_patch_01.ep6.el6.noarch


These files/directories are in RPM, but not in ZIP:
    tomcat7/webapps/docs/tribes
    tomcat7/webapps/docs/tribes/introduction.html
    tomcat7/webapps/docs/tribes/interceptors.html
    tomcat7/webapps/docs/tribes/status.html
    tomcat7/webapps/docs/tribes/developers.html
    tomcat7/webapps/docs/tribes/membership.html
    tomcat7/webapps/docs/tribes/faq.html
    tomcat7/webapps/docs/tribes/transport.html
    tomcat7/webapps/docs/tribes/setup.html

    tomcat6/webapps/sample
    tomcat6/webapps/sample/WEB-INF
    tomcat6/webapps/sample/WEB-INF/web.xml
    tomcat6/webapps/sample/WEB-INF/classes
    tomcat6/webapps/sample/WEB-INF/classes/mypackage
    tomcat6/webapps/sample/WEB-INF/classes/mypackage/Hello.class
    tomcat6/webapps/sample/META-INF
    tomcat6/webapps/sample/META-INF/MANIFEST.MF
    tomcat6/webapps/sample/hello.jsp
    tomcat6/webapps/sample/index.html
    tomcat6/webapps/sample/images
    tomcat6/webapps/sample/images/tomcat.gif

    tomcat6/webapps/docs/tribes
    tomcat6/webapps/docs/tribes/introduction.html
    tomcat6/webapps/docs/tribes/interceptors.html
    tomcat6/webapps/docs/tribes/status.html
    tomcat6/webapps/docs/tribes/developers.html
    tomcat6/webapps/docs/tribes/membership.html
    tomcat6/webapps/docs/tribes/faq.html
    tomcat6/webapps/docs/tribes/transport.html
    tomcat6/webapps/docs/tribes/setup.html


These files/directories are in ZIP, but not in RPM:
    tomcat7/webapps/examples/WEB-INF
    tomcat7/webapps/examples/jsp/colors
    tomcat7/webapps/examples/jsp/source.jsp.html
    tomcat7/webapps/examples/jsp/plugin
    tomcat7/webapps/examples/jsp/snp
    tomcat7/webapps/examples/jsp/checkbox
    tomcat7/webapps/examples/jsp/sessions
    tomcat7/webapps/examples/jsp/chat
    tomcat7/webapps/examples/jsp/async
    tomcat7/webapps/examples/jsp/security
    tomcat7/webapps/examples/jsp/simpletag
    tomcat7/webapps/examples/jsp/jsp2
    tomcat7/webapps/examples/jsp/cal
    tomcat7/webapps/examples/jsp/xml
    tomcat7/webapps/examples/jsp/include
    tomcat7/webapps/examples/jsp/dates
    tomcat7/webapps/examples/jsp/source.jsp
    tomcat7/webapps/examples/jsp/num
    tomcat7/webapps/examples/jsp/forward
    tomcat7/webapps/examples/jsp/jsptoserv
    tomcat7/webapps/examples/jsp/error
    tomcat7/webapps/examples/jsp/tagplugin
    tomcat7/webapps/examples/jsp/images
    tomcat7/webapps/examples/servlets/reqheaders.html
    tomcat7/webapps/examples/servlets/reqinfo.html
    tomcat7/webapps/examples/servlets/helloworld.html
    tomcat7/webapps/examples/servlets/sessions.html
    tomcat7/webapps/examples/servlets/cookies.html
    tomcat7/webapps/examples/servlets/images
    tomcat7/webapps/examples/servlets/reqparams.html

    tomcat7/webapps/docs/appdev/sample/web
    tomcat7/webapps/docs/appdev/sample/docs
    tomcat7/webapps/docs/appdev/sample/src
    tomcat7/webapps/docs/appdev/sample/build.xml

    tomcat6/webapps/examples/WEB-INF
    tomcat6/webapps/examples/jsp/colors
    tomcat6/webapps/examples/jsp/source.jsp.html
    tomcat6/webapps/examples/jsp/plugin
    tomcat6/webapps/examples/jsp/snp
    tomcat6/webapps/examples/jsp/checkbox
    tomcat6/webapps/examples/jsp/sessions
    tomcat6/webapps/examples/jsp/chat
    tomcat6/webapps/examples/jsp/security
    tomcat6/webapps/examples/jsp/simpletag
    tomcat6/webapps/examples/jsp/jsp2
    tomcat6/webapps/examples/jsp/cal
    tomcat6/webapps/examples/jsp/xml
    tomcat6/webapps/examples/jsp/include
    tomcat6/webapps/examples/jsp/dates
    tomcat6/webapps/examples/jsp/source.jsp
    tomcat6/webapps/examples/jsp/num
    tomcat6/webapps/examples/jsp/forward
    tomcat6/webapps/examples/jsp/jsptoserv
    tomcat6/webapps/examples/jsp/error
    tomcat6/webapps/examples/jsp/tagplugin
    tomcat6/webapps/examples/jsp/images
    tomcat6/webapps/examples/servlets/reqheaders.html
    tomcat6/webapps/examples/servlets/reqinfo.html
    tomcat6/webapps/examples/servlets/helloworld.html
    tomcat6/webapps/examples/servlets/sessions.html
    tomcat6/webapps/examples/servlets/cookies.html
    tomcat6/webapps/examples/servlets/images
    tomcat6/webapps/examples/servlets/reqparams.html

    tomcat6/webapps/docs/appdev/sample/web
    tomcat6/webapps/docs/appdev/sample/docs
    tomcat6/webapps/docs/appdev/sample/src
    tomcat6/webapps/docs/appdev/sample/sample.war
    tomcat6/webapps/docs/appdev/sample/build.xml
Comment 2 Libor Fuka 2014-06-27 08:22:32 EDT
Test it please.
Comment 3 Michal Haško 2014-07-17 09:59:01 EDT
There still are differences in the rpm vs zip distro:


======================================================
tomcat6-6.0.41-2_patch_01.ep6.el5
tomcat7-7.0.54-4_patch_01.ep6.el5

in zip, but not in rpm:
tomcat6/webapps/docs/appdev/sample/build
tomcat6/webapps/docs/appdev/sample/build.xml
tomcat6/webapps/docs/appdev/sample/dist
tomcat6/webapps/docs/appdev/sample/docs
tomcat6/webapps/docs/appdev/sample/src
tomcat6/webapps/docs/appdev/sample/web
tomcat6/webapps/examples/jsp/cal
tomcat6/webapps/examples/jsp/chat
tomcat6/webapps/examples/jsp/checkbox
tomcat6/webapps/examples/jsp/colors
tomcat6/webapps/examples/jsp/dates
tomcat6/webapps/examples/jsp/error
tomcat6/webapps/examples/jsp/forward
tomcat6/webapps/examples/jsp/images
tomcat6/webapps/examples/jsp/include
tomcat6/webapps/examples/jsp/jsp2
tomcat6/webapps/examples/jsp/jsptoserv
tomcat6/webapps/examples/jsp/num
tomcat6/webapps/examples/jsp/plugin
tomcat6/webapps/examples/jsp/security
tomcat6/webapps/examples/jsp/sessions
tomcat6/webapps/examples/jsp/simpletag
tomcat6/webapps/examples/jsp/snp
tomcat6/webapps/examples/jsp/source.jsp
tomcat6/webapps/examples/jsp/source.jsp.html
tomcat6/webapps/examples/jsp/tagplugin
tomcat6/webapps/examples/jsp/xml
tomcat6/webapps/examples/servlets/cookies.html
tomcat6/webapps/examples/servlets/helloworld.html
tomcat6/webapps/examples/servlets/images
tomcat6/webapps/examples/servlets/reqheaders.html
tomcat6/webapps/examples/servlets/reqinfo.html
tomcat6/webapps/examples/servlets/reqparams.html
tomcat6/webapps/examples/servlets/sessions.html
tomcat6/webapps/examples/WEB-INF
tomcat7/webapps/docs/appdev/sample/build.xml
tomcat7/webapps/docs/appdev/sample/docs
tomcat7/webapps/docs/appdev/sample/src
tomcat7/webapps/docs/appdev/sample/web
tomcat7/webapps/examples/jsp/async
tomcat7/webapps/examples/jsp/cal
tomcat7/webapps/examples/jsp/chat
tomcat7/webapps/examples/jsp/checkbox
tomcat7/webapps/examples/jsp/colors
tomcat7/webapps/examples/jsp/dates
tomcat7/webapps/examples/jsp/error
tomcat7/webapps/examples/jsp/forward
tomcat7/webapps/examples/jsp/images
tomcat7/webapps/examples/jsp/include
tomcat7/webapps/examples/jsp/jsp2
tomcat7/webapps/examples/jsp/jsptoserv
tomcat7/webapps/examples/jsp/num
tomcat7/webapps/examples/jsp/plugin
tomcat7/webapps/examples/jsp/security
tomcat7/webapps/examples/jsp/sessions
tomcat7/webapps/examples/jsp/simpletag
tomcat7/webapps/examples/jsp/snp
tomcat7/webapps/examples/jsp/source.jsp
tomcat7/webapps/examples/jsp/source.jsp.html
tomcat7/webapps/examples/jsp/tagplugin
tomcat7/webapps/examples/jsp/xml
tomcat7/webapps/examples/servlets/cookies.html
tomcat7/webapps/examples/servlets/helloworld.html
tomcat7/webapps/examples/servlets/images
tomcat7/webapps/examples/servlets/reqheaders.html
tomcat7/webapps/examples/servlets/reqinfo.html
tomcat7/webapps/examples/servlets/reqparams.html
tomcat7/webapps/examples/servlets/sessions.html
tomcat7/webapps/examples/WEB-INF


======================================================
tomcat6-6.0.41-1_patch_01.ep6.el6.noarch
tomcat7-7.0.54-4_patch_01.ep6.el6.noarch

in zip, but not in rpm:
tomcat6/webapps/docs/appdev/sample/build
tomcat6/webapps/docs/appdev/sample/build.xml
tomcat6/webapps/docs/appdev/sample/dist
tomcat6/webapps/docs/appdev/sample/docs
tomcat6/webapps/docs/appdev/sample/src
tomcat6/webapps/docs/appdev/sample/web
tomcat6/webapps/examples/jsp/cal
tomcat6/webapps/examples/jsp/chat
tomcat6/webapps/examples/jsp/checkbox
tomcat6/webapps/examples/jsp/colors
tomcat6/webapps/examples/jsp/dates
tomcat6/webapps/examples/jsp/error
tomcat6/webapps/examples/jsp/forward
tomcat6/webapps/examples/jsp/images
tomcat6/webapps/examples/jsp/include
tomcat6/webapps/examples/jsp/jsp2
tomcat6/webapps/examples/jsp/jsptoserv
tomcat6/webapps/examples/jsp/num
tomcat6/webapps/examples/jsp/plugin
tomcat6/webapps/examples/jsp/security
tomcat6/webapps/examples/jsp/sessions
tomcat6/webapps/examples/jsp/simpletag
tomcat6/webapps/examples/jsp/snp
tomcat6/webapps/examples/jsp/source.jsp
tomcat6/webapps/examples/jsp/source.jsp.html
tomcat6/webapps/examples/jsp/tagplugin
tomcat6/webapps/examples/jsp/xml
tomcat6/webapps/examples/servlets/cookies.html
tomcat6/webapps/examples/servlets/helloworld.html
tomcat6/webapps/examples/servlets/images
tomcat6/webapps/examples/servlets/reqheaders.html
tomcat6/webapps/examples/servlets/reqinfo.html
tomcat6/webapps/examples/servlets/reqparams.html
tomcat6/webapps/examples/servlets/sessions.html
tomcat6/webapps/examples/WEB-INF
tomcat7/webapps/docs/appdev/sample/build.xml
tomcat7/webapps/docs/appdev/sample/docs
tomcat7/webapps/docs/appdev/sample/src
tomcat7/webapps/docs/appdev/sample/web
tomcat7/webapps/examples/jsp/async
tomcat7/webapps/examples/jsp/cal
tomcat7/webapps/examples/jsp/chat
tomcat7/webapps/examples/jsp/checkbox
tomcat7/webapps/examples/jsp/colors
tomcat7/webapps/examples/jsp/dates
tomcat7/webapps/examples/jsp/error
tomcat7/webapps/examples/jsp/forward
tomcat7/webapps/examples/jsp/images
tomcat7/webapps/examples/jsp/include
tomcat7/webapps/examples/jsp/jsp2
tomcat7/webapps/examples/jsp/jsptoserv
tomcat7/webapps/examples/jsp/num
tomcat7/webapps/examples/jsp/plugin
tomcat7/webapps/examples/jsp/security
tomcat7/webapps/examples/jsp/sessions
tomcat7/webapps/examples/jsp/simpletag
tomcat7/webapps/examples/jsp/snp
tomcat7/webapps/examples/jsp/source.jsp
tomcat7/webapps/examples/jsp/source.jsp.html
tomcat7/webapps/examples/jsp/tagplugin
tomcat7/webapps/examples/jsp/xml
tomcat7/webapps/examples/servlets/cookies.html
tomcat7/webapps/examples/servlets/helloworld.html
tomcat7/webapps/examples/servlets/images
tomcat7/webapps/examples/servlets/reqheaders.html
tomcat7/webapps/examples/servlets/reqinfo.html
tomcat7/webapps/examples/servlets/reqparams.html
tomcat7/webapps/examples/servlets/sessions.html
tomcat7/webapps/examples/WEB-INF

in both zip and rpm, but different:
tomcat6/webapps/docs/appdev/sample/index.html
tomcat6/webapps/examples/jsp/index.html
tomcat6/webapps/examples/servlets/index.html
tomcat7/webapps/docs/appdev/sample/index.html
tomcat7/webapps/examples/jsp/index.html
tomcat7/webapps/examples/servlets/index.html


======================================================
tomcat6-6.0.41-2_patch_01.ep6.el7.noarch
tomcat7-7.0.54-2_patch_01.ep6.el7.noarch

in zip, but not in rpm:
tomcat6/webapps/docs/appdev/sample/build
tomcat6/webapps/docs/appdev/sample/build.xml
tomcat6/webapps/docs/appdev/sample/dist
tomcat6/webapps/docs/appdev/sample/docs
tomcat6/webapps/docs/appdev/sample/src
tomcat6/webapps/docs/appdev/sample/web
tomcat6/webapps/examples/jsp/cal
tomcat6/webapps/examples/jsp/chat
tomcat6/webapps/examples/jsp/checkbox
tomcat6/webapps/examples/jsp/colors
tomcat6/webapps/examples/jsp/dates
tomcat6/webapps/examples/jsp/error
tomcat6/webapps/examples/jsp/forward
tomcat6/webapps/examples/jsp/images
tomcat6/webapps/examples/jsp/include
tomcat6/webapps/examples/jsp/jsp2
tomcat6/webapps/examples/jsp/jsptoserv
tomcat6/webapps/examples/jsp/num
tomcat6/webapps/examples/jsp/plugin
tomcat6/webapps/examples/jsp/security
tomcat6/webapps/examples/jsp/sessions
tomcat6/webapps/examples/jsp/simpletag
tomcat6/webapps/examples/jsp/snp
tomcat6/webapps/examples/jsp/source.jsp
tomcat6/webapps/examples/jsp/source.jsp.html
tomcat6/webapps/examples/jsp/tagplugin
tomcat6/webapps/examples/jsp/xml
tomcat6/webapps/examples/servlets/cookies.html
tomcat6/webapps/examples/servlets/helloworld.html
tomcat6/webapps/examples/servlets/images
tomcat6/webapps/examples/servlets/reqheaders.html
tomcat6/webapps/examples/servlets/reqinfo.html
tomcat6/webapps/examples/servlets/reqparams.html
tomcat6/webapps/examples/servlets/sessions.html
tomcat6/webapps/examples/WEB-INF
tomcat7/webapps/docs/appdev/sample/build.xml
tomcat7/webapps/docs/appdev/sample/docs
tomcat7/webapps/docs/appdev/sample/src
tomcat7/webapps/docs/appdev/sample/web
tomcat7/webapps/examples/jsp/async
tomcat7/webapps/examples/jsp/cal
tomcat7/webapps/examples/jsp/chat
tomcat7/webapps/examples/jsp/checkbox
tomcat7/webapps/examples/jsp/colors
tomcat7/webapps/examples/jsp/dates
tomcat7/webapps/examples/jsp/error
tomcat7/webapps/examples/jsp/forward
tomcat7/webapps/examples/jsp/images
tomcat7/webapps/examples/jsp/include
tomcat7/webapps/examples/jsp/jsp2
tomcat7/webapps/examples/jsp/jsptoserv
tomcat7/webapps/examples/jsp/num
tomcat7/webapps/examples/jsp/plugin
tomcat7/webapps/examples/jsp/security
tomcat7/webapps/examples/jsp/sessions
tomcat7/webapps/examples/jsp/simpletag
tomcat7/webapps/examples/jsp/snp
tomcat7/webapps/examples/jsp/source.jsp
tomcat7/webapps/examples/jsp/source.jsp.html
tomcat7/webapps/examples/jsp/tagplugin
tomcat7/webapps/examples/jsp/xml
tomcat7/webapps/examples/servlets/cookies.html
tomcat7/webapps/examples/servlets/helloworld.html
tomcat7/webapps/examples/servlets/images
tomcat7/webapps/examples/servlets/reqheaders.html
tomcat7/webapps/examples/servlets/reqinfo.html
tomcat7/webapps/examples/servlets/reqparams.html
tomcat7/webapps/examples/servlets/sessions.html
tomcat7/webapps/examples/WEB-INF

in both zip and rpm, but different:
tomcat6/webapps/docs/appdev/sample/index.html
tomcat6/webapps/examples/jsp/index.html
tomcat6/webapps/examples/servlets/index.html
tomcat7/webapps/docs/appdev/sample/index.html
tomcat7/webapps/examples/jsp/index.html
tomcat7/webapps/examples/servlets/index.html

Note You need to log in before you can comment on or make changes to this bug.